Page MenuHomePhabricator

[FPEnv][AArch64] Add lowering of f128 STRICT_FSETCC
ClosedPublic

Authored by john.brawn on Jan 31 2020, 6:10 AM.

Diff Detail

Event Timeline

john.brawn created this revision.Jan 31 2020, 6:10 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 31 2020, 6:10 AM
pengfei added inline comments.Jan 31 2020, 6:28 AM
llvm/lib/Target/AArch64/AArch64ISelLowering.cpp
5293–5294

Does integer comparison have strict version?

john.brawn marked an inline comment as done.Jan 31 2020, 6:44 AM
john.brawn added inline comments.
llvm/lib/Target/AArch64/AArch64ISelLowering.cpp
5293–5294

No. What's happening here for f128 is that just above we have a call to softenSetCCOperands that has turned the LHS into a function call that returns an integer result.

pengfei added inline comments.Jan 31 2020, 7:11 AM
llvm/lib/Target/AArch64/AArch64ISelLowering.cpp
5293–5294

Oh I see, thanks!

dmgreen added inline comments.Feb 2 2020, 7:58 AM
llvm/lib/Target/AArch64/AArch64ISelLowering.cpp
5293–5294

And in that case the chain is updated to the call, so we use the new one here?

And in other integer cases we do not ever care about the chain?

john.brawn marked an inline comment as done.Feb 3 2020, 5:49 AM
john.brawn added inline comments.
llvm/lib/Target/AArch64/AArch64ISelLowering.cpp
5293–5294

That's correct.

dmgreen accepted this revision.Feb 3 2020, 6:03 AM

Sounds good then. LGTM

This revision is now accepted and ready to land.Feb 3 2020, 6:03 AM
This revision was automatically updated to reflect the committed changes.